# SimpleClient (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.micasa.simulator.client
Class SimpleClient

    java.lang.Object
      com.threerings.micasa.simulator.client.SimpleClient

All Implemented Interfaces:
  SimulatorClient

    public class SimpleClient

extends Object
implements SimulatorClient

Constructor Summary
`SimpleClient(SimulatorFrame frame)`

Method Summary
`ParlorContext` `getParlorContext()` Returns a reference to the context in effect for this client.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleClient

    public SimpleClient(SimulatorFrame frame)
                 throws IOException

Throws:
  `IOException`

Method Detail

### getParlorContext

    public ParlorContext getParlorContext()

  Returns a reference to the context in effect for this client. This reference is valid for the lifetime of the application.

  Specified by:
    `getParlorContext` in interface `SimulatorClient`

Copyright © 2011. All Rights Reserved.